Bug 91499 - CONDITIONAL FORMATTING: Blue border appears around selected cells
Summary: CONDITIONAL FORMATTING: Blue border appears around selected cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks: Conditional-Formatting VclPtr
  Show dependency treegraph
 
Reported: 2015-05-22 20:39 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test doc (9.07 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-22 20:39 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-05-22 20:39:04 UTC
Created attachment 115859 [details]
test doc

Steps:
1) Open attached file
2) Select B2:B24
3) Set data bar conditional formatting
4) Blue border appears around selected cells

I'm assuming this is vcl ptr related, as mentioned by Meeks in bug 90982 comment 11.

Version: 5.1.0.0.alpha1+
Build ID: 1c9302565aefb5a54b1b7f1478dd6dac724d30ea
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-05-21_00:47:28
Comment 1 Michael 2015-05-22 21:13:10 UTC
Confirmed on 5.0 branch. Bisect log below

$ git bisect log
# bad: [c0fbc9b85ec523099dceb0f4f778fb10042efbd7] 2015-05-19: source-hash-158b50763962f66515062300e265839828463efa
# good: [e4b0a61cedc6ac0e65a4a110fd83edd8295f4856] 2014-11-20: source-hash-d273a60bfdbf9bb7623bed38667ec0647753157c
git bisect start 'c0fbc9b85ec523099dceb0f4f778fb10042efbd7' 'e4b0a61cedc6ac0e65a4a110fd83edd8295f4856'
# good: [935d2b58beb350acf647a664a1e97376503b8acb] 2015-02-18: source-hash-dd4bd0ee74fae3d7e3a16e018021da173152571b
git bisect good 935d2b58beb350acf647a664a1e97376503b8acb
# good: [7e67865d7214e3089ffceeaac1ba916f03ac21c0] 2015-04-04: source-hash-b326270fb921b3c2e7fff2da76ebae33adcaef3d
git bisect good 7e67865d7214e3089ffceeaac1ba916f03ac21c0
# good: [9ccc3e23269eebdb13eaa34c7231b7b9f6035c90] 2015-04-26: source-hash-3a96d8ead86dc210085f09076fd270f247442f0a
git bisect good 9ccc3e23269eebdb13eaa34c7231b7b9f6035c90
# bad: [54e8e3308771ab73b9de0e52bdef20826f428fab] 2015-05-07: source-hash-6e78bf76f3a10b43475e1bd801bdcbb9ce62f668
git bisect bad 54e8e3308771ab73b9de0e52bdef20826f428fab
# skip: [0f7da7628876aad0c28a577a70d6a660dfa1ab4e] 2015-05-01: source-hash-5a24b94662414fb9470be9c5d9c8b28c6ad42b5b
git bisect skip 0f7da7628876aad0c28a577a70d6a660dfa1ab4e
# bad: [18c79871a724a95167d0cce88a6be2df138dc964] 2015-05-02: source-hash-393c51cee8bc3de5a2a9f4e04161c59e8712f631
git bisect bad 18c79871a724a95167d0cce88a6be2df138dc964
# bad: [06421cdb5e5880c2f8232a04f521a341edf08de3] 2015-04-29: source-hash-2932d2db599c09ecce3faa2d627e9ee4f251183a
git bisect bad 06421cdb5e5880c2f8232a04f521a341edf08de3
# good: [1042e18eb884e17cbdd170a589d3c6db21455c01] 2015-04-27: source-hash-f0edb677f09ad338e22ac3b5d91497b4479e0b3c
git bisect good 1042e18eb884e17cbdd170a589d3c6db21455c01
# good: [af526ee52f2c296e0f17bc385d4001b9322818e7] 2015-04-28: source-hash-4fee05e680217e876210b341f904df9441a0b7cd
git bisect good af526ee52f2c296e0f17bc385d4001b9322818e7
# first bad commit: [06421cdb5e5880c2f8232a04f521a341edf08de3] 2015-04-29: source-hash-2932d2db599c09ecce3faa2d627e9ee4f251183a
Comment 2 Michael Meeks 2015-05-23 18:57:46 UTC
Found and fixed this; just running it past gerrit / CI ...
Comment 3 Commit Notification 2015-05-23 20:51:22 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba203843f5a209cb48e2d6f4ec4e3649982185ea

tdf#91499 - cleanup AnyRefDialog VclPtr's with an explicit dispose method.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-05-26 13:00:51 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41b234cfa52c9e41b1780d4686a140bcc1c7b27a&h=libreoffice-5-0

tdf#91499 - cleanup AnyRefDialog VclPtr's with an explicit dispose method.

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Juanjo 2015-05-28 16:52:15 UTC
Confirmed in LO 5.0.0.0.beta1 both in Linux (Debian 8 XFCE) and Windows 7
Comment 6 Juanjo 2015-05-28 16:53:30 UTC
Confirmed (bug persists) in LO 5.0.0.0.beta1 both in Linux (Debian 8 XFCE) and Windows 7
Comment 7 Buovjaga 2015-05-28 17:23:17 UTC
Juanjo: yes, it is expected to see the bug in the beta1 release, but please test with a daily build of 5.0 or 5.1. When confirming fix, set status to VERIFIED.

Reverting status change.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:12:05 UTC Comment hidden (obsolete)